Subject: TTY/Serial-Console Problem

From: [email-masked]
Date: Wed, 13 Mar 2002 10:45:54 +0100

Hi.

I have a problem with my serial console driver for kernel 2.4.3. 
The system boots fine up to the first shell script that is executed (here:
rcS). Then when the first "echo" ist executed the message is displayed on
the console, but the system is stuck in the cpu_idle function. I still can
ping the board but the execution of the script won't continue. If I use
"echo -n" everything is fine. 
I reckon that the tty layer is waiting for some kind of confimation from the
serial driver to continue execution. But I don't what that might be.

Can anybody please clarify me?

regards
--
Andre Messerschmidt

Application Engineer
Infineon Technologies AG